## weewm-0.0.2.tar.bz2

=== Makefile ===
# Copyright (c) 2003 FlashCode <flashcode@flashtux.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

OUTPUT=weewm

all:
	cd src && make

install:
	@mkdir -v -p $(DESTDIR)/usr/$(LOCALRPM)/bin
	@cp -v src/$(OUTPUT) $(DESTDIR)/usr/$(LOCALRPM)/bin/
	@mkdir -v -p $(DESTDIR)/usr/share/man/man1
	@cp -v weewm.1 $(DESTDIR)/usr/share/man/man1/
	@echo -e "\n=== WeeWM installed !\n"

clean:
	cd src && make clean

=== src/Makefile ===
# Copyright (c) 2003 FlashCode <flashcode@flashtux.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

CC=gcc

OPTIONS=-Wall -W -pedantic -pipe -O2

INCLUDES=-I/usr/X11R6/include
LIBS=-L/usr/X11R6/lib -lX11

OUTPUT=weewm
OBJS=weewm.o client.o events.o screen.o memorize.o info.o config.o

all: $(OBJS)
	$(CC) $(OPTIONS) $(OBJS) -o $(OUTPUT) $(LIBS)

$(OBJS):
	$(CC) $(OPTIONS) -o $@ -c $< $(INCLUDES)

clean:
	rm -f *.o core $(OUTPUT)

dep:
	gcc -MM *.c >depend

include depend

=== debian/changelog ===
weewm (0.0.2-1) unstable; urgency=low

  * Memorization of position, width/height, desktop.
  * Fix/unfix windows.
  * Improved dock management.

 -- FlashCode <flashcode@flashtux.org>  Mon, 07 Jul 2003 20:55:00 +0200

weewm (0.01-1) unstable; urgency=low

  * Dock management (still alpha)
  * Default config files created if not found

 -- FlashCode <flashcode@flashtux.org>  Tue, 18 Mar 2003 18:56:00 +0200

=== debian/control ===
Source: weewm
Section: x11
Priority: optional
Maintainer: FlashCode <flashcode@flashtux.org>
Build-Depends: debhelper (>> 4.0.0)
Standards-Version: 3.5.8

Package: weewm
Architecture: any
Depends: ${shlibs:Depends}
Description: Fast and ultra light Window Manager for XFree
 WeeWM (Wee Enhanced Environment) is a fast and light window manager
 for XFree86. Everything can be done with a keyboard. It is customizable,
 and has dock management, smart window placement, virtual desktops, and more.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/weewm.sgml > weewm.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/weewm.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/weewm


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman weewm.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
